Ubuntu

Ubuntu Hardy Heron alpha 5 no sound device

Reported by josef on 2008-02-23
24
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

I have mb Asus P5B-PLUS with sound chip ADI 1988. This problem is only with kernel 2.6.24.xx In /proc/asound/card is empty: ---no soundcards---
alsamixer no work : alsamixer: function snd_ctl_open failed for default: No such device

#dmesg
[...]
[ 39.160513] ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 22
[ 39.160520] PCI: Unable to reserve mem region #1:4000@febf8000 for device 0000:00:1b.0
[ 39.160523] ACPI: PCI interrupt for device 0000:00:1b.0 disabled
[ 39.160531] HDA Intel: probe of 0000:00:1b.0 failed with error -16
[ 39.375972] NET: Registered protocol family 10
[...]

# lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

josef (ok1dtm) wrote :
josef (ok1dtm) wrote :

dmesg:
 ....
[ 35.567422] PCI: Unable to reserve mem region #1:4000@febf8000 for device 0000:00:1b.0
[ 35.567426] ACPI: PCI interrupt for device 0000:00:1b.0 disabled
[ 35.567431] HDA Intel: probe of 0000:00:1b.0 failed with error -16
Sound card in Hardy worked only with kernel option acpi=off . Feisty and Gusty play without this option.

josef (ok1dtm) wrote :

Last Alpha 6 with new kernel 2.6.24-12 the same sound no work.

josef (ok1dtm) wrote :

Report is no duplicate because sound in Hardy never time no play! Alpha 1 - Alpha 6
With last update kernel 2.6.24-12.20 alpha6 sound mo work:
When I click "Open Volume Control":
first error:
The volume control did not find any elements and/or devices to control. This means either that you don't have the right GStreamer plugins installed, or that you don't have a sound card configured.

You can remove the volume control from the panel by right-clicking the
speaker icon on the panel and selecting "Remove From Panel" from the
menu.

second error:
No volume control GStreamer plugins and/or devices found.

My motherboard P5B-PLUS http://www.asus.com/products.aspx?modelmenu=2&model=1595&l1=3&l2=11&l3=307&l4=0
With Feisty and Gusty work sound fine
ps.
Sound in Hardy work perfecly only with acpi=off option, but many services is stoped.

Sylvain Pasche (sylvain-pasche) wrote :

I can confirm that this is not a duplicate of bug 200338. I don't see symbol errors in the kernel messages, and it didn't work with kernel 2.6.24-11 neither.

My motherboard is an Asus P5B Deluxe wifi, which should contain a AD1988B chip.

lspci -vv:
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
        Subsystem: ASUSTeK Computer Inc. Unknown device 81ec
        Control: I/O- Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
        Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
        Interrupt: pin A routed to IRQ 22
        Region 0: Memory at febfc000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
                Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=0 PME-
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
                Address: 0000000000000000 Data: 0000
        Capabilities: [70] Express Unknown type IRQ 0
                Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
                Device: Latency L0s <64ns, L1 <1us
                Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
                Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
                Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
                Link: Supported Speed unknown, Width x0, ASPM unknown, Port 0
                Link: Latency L0s <64ns, L1 <1us
                Link: ASPM Disabled CommClk- ExtSynch-
                Link: Speed unknown, Width x0

dmesg error:

[ 3339.922993] PCI: Unable to reserve mem region #1:4000@febfc000 for device 0000:00:1b.0
[ 3339.922996] ACPI: PCI interrupt for device 0000:00:1b.0 disabled
[ 3339.923004] HDA Intel: probe of 0000:00:1b.0 failed with error -16

earthforce_1 (earthforce1) wrote :

I am seeing the same error - my sound is dead with the latest updates, although it used to work perfectly in Alpha 5 :( when I first installed

The volume control has a red line through it, and if I try to select it a dialog appears with the following message:
The volume control did not find any elements and/or devices to control. This means either that you do not have the right GStreamer plugins installed, or that you do not have a sound card configured.

You can remove the volume control from the panel by right-clicking the speaker icon on the panel and selecting "Remove From Panel" from the menu.

lspci -vv yields:

00:1b.0 Audio device: Intel Corporation 82801FB/FBM/FR/FW/FRW (ICH6 Family) High Definition Audio Controller (rev 03)
 Subsystem: ASUSTeK Computer Inc. P5GD1-VW Mainboard
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 16 bytes
 Interrupt: pin A routed to IRQ 10
 Region 0: Memory at bddf8000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: [50] Power Management version 2
  Flags: PMEClk- DSI- D1- D2- AuxCurrent=55mA PME(D0+,D1-,D2-,D3hot+,D3cold+)
  Status: D0 PME-Enable- DSel=0 DScale=0 PME-
 Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
  Address: 0000000000000000 Data: 0000
 Capabilities: [70] Express Unknown type IRQ 0
  Device: Supported: MaxPayload 128 bytes, PhantFunc 0, ExtTag-
  Device: Latency L0s <64ns, L1 <1us
  Device: Errors: Correctable- Non-Fatal- Fatal- Unsupported-
  Device: RlxdOrd- ExtTag- PhantFunc- AuxPwr- NoSnoop+
  Device: MaxPayload 128 bytes, MaxReadReq 128 bytes
  Link: Supported Speed unknown, Width x0, ASPM unknown, Port 0
  Link: Latency L0s <64ns, L1 <1us
  Link: ASPM Disabled CommClk- ExtSynch-
  Link: Speed unknown, Width x0

So the device is obviously there. I also can't find any sign of error or any reference to the device in the bootup messages. (See attached) I am not sure if this is the same bug, since my audio broke at some point after alpha 5, and probably after alpha 6. I can run some other tests if they could help diagnose the problem:

Sylvain Pasche (sylvain-pasche) wrote :

earthforce_1,

I do not see the "Unable to reserve mem region" error message in your boot messages. Do you see it if you type "dmesg"?. Do you have the snd_hda_intel module loaded (check with "lsmod |grep snd_hda_intel")?. Try to reload ("modprobe -r snd_hda_intel; modprobe snd_hda_intel") and see if you see the error message.

Booting with the option pnpacpi=off makes the device functional. Could others check if that is working for them too (I tried with apci=off, but system froze during boot)?
By looking at similar issues (https://bugzilla.redhat.com/show_bug.cgi?id=280641) this could be a bios bug, I'll try to see if I have an update available.

earthforce_1 (earthforce1) wrote :

Thanks for the prompt response:
 dmesg | grep Unable
returns nothing. What I posted earlier should be my complete dmesg log.

sudo lsmod |grep snd_hda_intel
returns nothing.

sudo modprobe -r snd_hda_intel
FATAL: Module snd_hda_intel not found.

sudo modprobe snd_hda_intel
FATAL: Module snd_hda_intel not found.

Looks like a recent update removed or disabled the modules?

Sylvain Pasche (sylvain-pasche) wrote :

Here's what I see on my system:

 modprobe -l|grep snd-hda-intel
/lib/modules/2.6.24-12-generic/ubuntu/sound/alsa-driver/pci/hda/snd-hda-intel.ko

dpkg -S /lib/modules/2.6.24-12-generic/ubuntu/sound/alsa-driver/pci/hda/snd-hda-intel.ko
linux-ubuntu-modules-2.6.24-12-generic: /lib/modules/2.6.24-12-generic/ubuntu/sound/alsa-driver/pci/hda/snd-hda-intel.ko

 uname -a
Linux tiger 2.6.24-12-generic #1 SMP Wed Mar 12 22:31:43 UTC 2008 x86_64 GNU/Linux

Maybe you are missing the linux-ubuntu-modules-2.6.24-12-generic package?

I just updated my BIOS, but the issue is still there (Asus P5B Deluxe wifi, bios version 1226, Release Date: 11/23/2007)

earthforce_1 (earthforce1) wrote :

Sylvain:
sudo apt-get install linux-ubuntu-modules-2.6.24-12-generic
Reading package lists... Done
Building dependency tree
Reading state information... Done
linux-ubuntu-modules-2.6.24-12-generic is already the newest version.
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

How could I be missing those modules?

I marked the modules for reinstallation, but the results are still the same.
sudo modprobe -r snd_hda_intel
FATAL: Module snd_hda_intel not found.

Are you certain these modules are included in these packages?

The module should be in the package: http://packages.ubuntu.com/hardy/amd64/linux-ubuntu-modules-2.6.24-12-generic/filelist (there is a snd-hda-intel.ko file there). Does "modprobe -l|grep snd-hda-intel" output something?

Note: "sudo modprobe -r snd_hda_intel" tries to unload the module, so it will tell that it is not found if it isn't loaded at that time. You should try the "sudo modprobe snd_hda_intel" command and see what kernel messages are generated in order to check.

earthforce_1 (earthforce1) wrote :

sudo modprobe -l|grep snd-hda-intel

Outputs nothing
 sudo find . -name snd-hda-intel.ko
./lib/modules/2.6.24-12-generic/ubuntu/sound/alsa-driver/pci/hda/snd-hda-intel.ko
./lib/modules/2.6.24-8-generic/ubuntu/sound/alsa-driver/pci/hda/snd-hda-intel.ko
./lib/modules/2.6.24-8-generic/kernel/sound/pci/hda/snd-hda-intel.ko

So they are obviously there, but not loaded.
 sudo modprobe snd_hda_intel
FATAL: Module snd_hda_intel not found.

josef (ok1dtm) wrote :

The same sound problem with latest beta Hardy. I also update bios to last version 1002 p5b-plus but no succsess. Sound device worked ONLY with acpi=off or acpi=ht.

harvest316 (harvest316) wrote :

My problem is the same as earthforce_1, with a slightly later version of the same soundcard...

00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)
 Subsystem: Dell Unknown device 01ab
 Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B-
 Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR-
 Latency: 0, Cache Line Size: 64 bytes
 Interrupt: pin A routed to IRQ 11
 Region 0: Memory at efffc000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>

sudo modprobe -l|grep snd-hda-intel
  returns nothing

dmesg | grep Unable
  returns nothing

sudo lsmod |grep snd_hda_intel
  returns nothing

sudo find / -name snd-hda-intel.ko
  /lib/modules/2.6.22-14-generic/ubuntu/media/snd-hda-intel/snd-hda-intel.ko
  /lib/modules/2.6.24-12-generic/ubuntu/sound/alsa-driver/pci/hda/snd-hda-intel.ko

sudo modprobe snd_hda_intel
  FATAL: Module snd_hda_intel not found.

uname -a
  Linux XXXXX 2.6.24-12-386 #1 Wed Mar 12 22:30:29 UTC 2008 i686 GNU/Linux

harvest316 (harvest316) wrote :

Seems very related to https://bugs.launchpad.net/ubuntu/+source/linux/+bug/200338 except they reckon that's fixed.

haverst316,

Your uname shows that you are running a kernel 2.6.24-12-386 while the module package containing the snd-hda-intel module is related to the 2.6.22-14-generic kernel. That's why they are not found.

My issue and the one from josef are not a duplicate of https://bugs.launchpad.net/ubuntu/+source/linux/+bug/200338. The symptoms are not related, see my comment 5.

If you are not having the "Unable to reserve mem region" error message, I think that your issue and the one from earthforce_1 are another bug.

earthforce_1, What is "uname -a" showing? It may be the same issue as haverst316 (your modules and kernel do not match). By the way, I'm running a x86_64 kernel.

earthforce_1 (earthforce1) wrote :

I don't know how I could have ended up with mismatched kernel and modules - if so, how do I fix it? I started at alpha 5 and have been doing the regular updates, I didn't roll my own kernel at any point.

uname -a
Linux Sheridan 2.6.24-12-386 #1 Wed Mar 12 22:30:29 UTC 2008 i686 GNU/Linux

You can install the generic kernel by doing a "apt-get install linux-generic".

You may want to remove the linux-386 kernel or change your /boot/grub/menu.list so that the generic kernel is used when you boot (you could try first to install the generic kernel and select it from the grub menu to be sure everything works fine, and then remove the 386 version).

I don't know why you have this kernel installed, I checked a fresh hardy 686 install, and the generic kernel is installed by default.

Hanusz leszek (leszek-skynet) wrote :

After upgrading to hardy today, grub defaulted to the 2.6.24-12-386 kernel and I got no sound.
Solved by installing the linux-ubuntu-modules-2.6.24-12-386 package.

earthforce_1 (earthforce1) wrote :

Ok, I have sound now! Thanks $1M for your help! But I had to reinstall my nvidia drivers for the appropriate kernel, since my screen resolution dropped. Got it fixed now....

I think I have a possible theory as to what happened. When I installed the closed source nvidia drivers, It must have picked up the (wrong) -386 kernel as a dependency since I see nvidia drivers for both in the synaptic package manager. This is still very dangerous, a total newbie could get totally messed up if they wound up with the wrong kernel by accident.

I guess the "bug" now is figuring out how somebody (me) could have subtly wound up installing an incorrect kernel with non-working sound modules. Why is the i386 version hanging around in the synaptic package manager? And if it is there for a good reason for it being there, shouldn't it be fully supported? ( sound modules and all ) As a suggestion, there probably should be more warning if dumb users like me are about to install a new default kernel from synaptic that sub-optimal or not recommended for your current hardware platform.

Hanusz leszek (leszek-skynet) wrote :

@earthforce:

Your (and mine) bug is reported here (and got high priority):
https://bugs.launchpad.net/ubuntu/+source/linux-restricted-modules-2.6.24/+bug/188287/

So you're right, it comes an incorrect dependency of the nvidia driver.

earthforce_1 (earthforce1) wrote :

Thanks for the link - that pretty well explains what happened, and probably explains a lot of other strange bugs people have seen.

harvest316 (harvest316) wrote :

Thanks to Hanusz leszek, my issue is resolved by installing linux-ubuntu-modules-2.6.24-12-386

Also thanks to Sylvain for noticing the version mismatch.

josef (ok1dtm) wrote :

I find the same problem in kernel! See http://lkml.org/lkml/2008/1/27/168 Will be fixed in final version Hardy??

Hi Josef,

Thanks for the pointer to the upstream thread. We're currently in Beta Freeze for the Hardy kernel so only critical bugs fixes or extremely simple patches are being pulled in at this time. I'll reassign to the kernel team to consider, but this may have to wait until the Intrepid Ibex release (which will most likely automatically include this patch since the Intrepid kernel will rebase with upstream). It would also be good if you could confirm this patch resolves your issue. I'm including the upstream git commit id for the kernel team to reference. Thanks.

commit 0509ad5e1a7d9220f09edd5be114bf3bd51a7023
Author: Bjorn Helgaas <email address hidden>
Date: Tue Mar 11 15:24:41 2008 -0600

    PNP: disable PNP motherboard resources that overlap PCI BARs

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged

I just tested the patch above, it fixes the issue for me.

I see a message:
[ 32.169165] 00:09: mem resource (0xfebfe000-0xfebfec00) overlaps 0000:00:1b.0 BAR 0 (0xfebfc000-0xfebfffff), disabling
In the kernel logs, which should prove the patch is working as expected.

If the patch is low risk, it should be considered for inclusion in Hardy kernel image.

amias (amias) wrote :

I am using 2.6.24-13-rt on 64bit Hardy and my sound is not working because there is no linux-ubuntu-modules-2.6.24-13-rt package which would supply the module that it needs to work (snd_hda_intel). This is a packaging error .

Tim Gardner (timg-tpi) wrote :

linux-ubuntu-modules is the package that contains the ALSA drivers for audio. The easiest way to ensure that you have _all_ the right packages is to install the Linux meta packages which are automatically updated to point to the most recent kernel and LUM for your flavour and architecture. For example:

sudo apt-get install linux-image-generic
or
sudo apt-get install linux-image-rt
or
...

This will ensure that the current kernel image and LUM packages are installed.

Changed in linux:
status: Triaged → Invalid

Tim,

Please do not resolve this bug as invalid. The issue reported by amias about the missing module package has nothing to do with this bug.

This issue is real and about something else. Please read the posts about the pci conflict and the proposed kernel patch.

Thanks

Apparently I could reopen it myself. I didn't know I had that kind of privileges.

Changed in linux:
status: Invalid → Confirmed
josef (ok1dtm) wrote :

Latest upgrade kernel 2.6.24-16 again no work sound with my Asus P5B-PLUS with sound chip ADI 1988. But in 2.24-16 is some NEW bug, because with kernel option acpi=off, acpi=ht and mainly pnpacpi=off pc no start!!! With 2.6.24-15 and pnpacpi=off problem is some fixed. Will be kernel options in -16 fixed?

Tim Gardner (timg-tpi) wrote :

Try one of the 2.6.25 based linux-image packages in my PPA at https://edge.launchpad.net/~timg-tpi/+archive. For example:

wget http://launchpadlibrarian.net/13966488/linux-image-2.6.25-1-generic_2.6.25-1.2ubuntu3_amd64.deb
sudo dpkg -i linux-image-2.6.25-1-generic_2.6.25-1.2ubuntu3_amd64.deb
sudo reboot

Make sure you get the right architecture to match your user space. If 'uname -m' is x86_64, then choose an amd64 package. Otherwise use i386.

Changed in linux:
assignee: ubuntu-kernel-team → timg-tpi
milestone: none → later
status: Confirmed → In Progress
Adrian Sampson (adrian-radbox) wrote :

Awesome. This kernel fixes the bug. Thanks.

As linux-restricted-modules isn't available for 2.6.25 yet, though, I'll keep using 2.6.24 with acpi=off for now. Any chance this kernel will make it into the Hardy repo (or hardy-backports) or is this release committed to staying with 2.6.24?

Tim Gardner (timg-tpi) wrote :

There is now a LUM package for 2.6.25 at https://edge.launchpad.net/~timg-tpi/+archive

wolverinepr (croman-pr) wrote :

I newbie at linux. Has the same problem mention in the postings. The snd-hda-intel-ko appears to be installed in my Linux installation but with this name: snd-hda-intel.ko.REPLACEDBYhsfmodem. This is why sudo find . -name snd-hda-intel.ko returns nothing.

Any comments on this will be welcome. Still no sound in my COMPAQ Presario C500.

wolverinepr (croman-pr) wrote :

Solved my sound problem in Ubuntu 8.04

I have a COMPAQ C500 Notebook. In Edgy I have configured my modem with the driver Dell use with its Linux notebooks. (hsfmodem). While searching for a solution in the Internet I found the following article which I followed step by step and VOILA!, sound return to my laptop. The culprit was the hsfmode driver installed on my computer. Once removed and performed the remaining steps in the article everything works back again.

      http://linux.dell.com/wiki/index.php/Ubuntu_8.04/Issues/No_Sound

If you have a similar problem, this will solve the sound problem. Only works if you have installed a hsfmodem driver in your laptop or computer. Works for me!

warhammerkid (perl-programmer) wrote :

What is the timeline for "PNP: disable PNP motherboard resources that overlap PCI BARs" to be resolved. I'm fine recompiling my kernel with the patch, but everyone with a motherboard like me (P5B Deluxe) will have this problem and there is no 'easy' solution. There is NO reason that an LTS release should go out with a non-working kernel that was marked as a problem almost 2 months ago.

warhammerkid (perl-programmer) wrote :

I finally got my kernel fixed with the referenced patch and that does indeed fix the issue.

Mihail (goloff) wrote :

I confirm the bug even now. Ubuntu 8.04 64-bit, with the 2.6.24-17-generic kernel.
MB is Asus P5B Plus, the error is -16, Ubuntu detects no sound cards:

mihail@mihail-desktop:~$ cat /proc/asound/cards
--- no soundcards ---

mihail@mihail-desktop:~$ lsmod |grep snd_hda_intel
snd_hda_intel 440408 0
snd_pcm 92168 2 snd_hda_intel,snd_pcm_oss
snd_page_alloc 13200 2 snd_hda_intel,snd_pcm
snd_hwdep 12552 1 snd_hda_intel
snd 70856 11 snd_hda_intel,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_hwdep,snd_seq_dummy,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device

mihail@mihail-desktop:~$ asoundconf list
Names of available sound cards:
mihail@mihail-desktop:~$

mihail@mihail-desktop:~$ hwinfo --sound
27: PCI 1b.0: 0403 Audio device
  [Created at pci.296]
  UDI: /org/freedesktop/Hal/devices/pci_8086_284b
  Unique ID: u1Nb.kURRCMIOEo3
  SysFS ID: /devices/pci0000:00/0000:00:1b.0
  SysFS BusID: 0000:00:1b.0
  Hardware Class: sound
  Model: "ASUSTeK HD Audio Controller"
  Vendor: pci 0x8086 "Intel Corporation"
  Device: pci 0x284b "HD Audio Controller"
  SubVendor: pci 0x1043 "ASUSTeK Computer Inc."
  SubDevice: pci 0x81ec
  Revision: 0x02
  Memory Range: 0xfebf8000-0xfebfbfff (rw,non-prefetchable)
  IRQ: 22 (no events)
  Module Alias: "pci:v00008086d0000284Bsv00001043sd000081ECbc04sc03i00"
  Driver Info #0:
    Driver Status: snd_hda_intel is active
    Driver Activation Cmd: "modprobe snd_hda_intel"
  Config Status: cfg=new, avail=yes, need=no, active=unknown
mihail@mihail-desktop:~$

mihail@mihail-desktop:~$ sudo modprobe -r snd_hda_intel
mihail@mihail-desktop:~$ sudo modprobe snd_hda_intel
mihail@mihail-desktop:~$

So no output AT ALL on modprobe

I tried using acpi=off option, but the system won't boot at all. So there must be another solution.

p.s. I dont know how to recompile the kernel, dont want to use 2.6.25 kernel because I am afraid of missing dependencies and problems.

josef (ok1dtm) wrote :

Mihail: This bug is fixed in 2.6.25.xx kernel. Please for kernel 2.6.24 use option pnpacpi=off With this option all worked ok.

Ansus (neptunia) wrote :

Can you please say where can I use this option? I also have this motherboard and no sound.

That's a Grub option you can set on boot. See https://help.ubuntu.com/community/BootOptions for explanations

Ansus (neptunia) wrote :

I've tried pnpacpi=off, but nothing changes. Still no sound.

Tim Gardner (timg-tpi) on 2008-06-26
Changed in linux:
assignee: timg-tpi → ubuntu-kernel-team
status: In Progress → Confirmed
James MacKinnon (jgm-econ) wrote :

I think I have just encountered this same bug with the released version of 8.04. I upgraded from 7.10 this morning, and my sound vanished. I have an ASUS board with an Intel sound chip. The output of

  lspci -n | grep `lspci | grep -i audio | awk '{print $1}'`

is 00:1b.0 0403: 8086:284b (rev 02), and I think from what I have read that the "284b" is critical.

Although the module snd_hda_intel is being loaded, there are no audio devices (no /dev/dsp, /dev/audio, etc.), and "cat /proc/asound/cards"
produces: --- no soundcards ---

Rebooting with pnpacpi=off did not help, so I am stuck. Is there going to be a new kernel for 8.04 at some point that fixes this? I don't want to have to reinstall 7.10.

The Ubuntu Kernel Team is planning to move to the 2.6.27 kernel for the upcoming Intrepid Ibex 8.10 release. As a result, the kernel team would appreciate it if you could please test this newer 2.6.27 Ubuntu kernel. There are one of two ways you should be able to test:

1) If you are comfortable installing packages on your own, the linux-image-2.6.27-* package is currently available for you to install and test.

--or--

2) The upcoming Alpha5 for Intrepid Ibex 8.10 will contain this newer 2.6.27 Ubuntu kernel. Alpha5 is set to be released Thursday Sept 4. Please watch http://www.ubuntu.com/testing for Alpha5 to be announced. You should then be able to test via a LiveCD.

Please let us know immediately if this newer 2.6.27 kernel resolves the bug reported here or if the issue remains. More importantly, please open a new bug report for each new bug/regression introduced by the 2.6.27 kernel and tag the bug report with 'linux-2.6.27'. Also, please specifically note if the issue does or does not appear in the 2.6.26 kernel. Thanks again, we really appreicate your help and feedback.

On Thu, 28 Aug 2008, Leann Ogasawara wrote:

> Please let us know immediately if this newer 2.6.27 kernel resolves the
> bug reported here or if the issue remains.

I'm sorry, but I "solved" the problem with the 2.6.24 kernel by installing
another sound card. I would have to physically remove it to see if the new
kernel works with my built-in sound card, and I have no desire to do that.

Cheers,

James G. MacKinnon
Head, Department of Economics
Queen's University
Kingston, Ontario, Canada
K7L 3N6

Email: <email address hidden>
Phone: 613 533-2293
Fax: 613 533-6668

Ansus (neptunia) wrote :

I solved the problem by adding pnpacpi=off option to the boot file. I think it is a minor bug now after workaround.

Matthew Woerly (nattgew) wrote :

00:1b.0 0403: 8086:284b (rev 02) Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
This is the card I have.
It's really weird, because I tried Intrepid, and it doesn't work with the 27 kernel. So I come here, and there are all these reports of it not working in Hardy, but I've never had a problem with it there. Just Intrepid.

Josef, since you are the original bug reporter, can you comment if this is resolved for you with Intrepid.

Nattgew, it's probably best to open a new bug report for the issue you are seeing since you did not have issues in Hardy so it's likely you have a slightly different bug here in Intrepid.

warhammerkid (perl-programmer) wrote :

I just thought I'd add that I'm running Intrepid right now and I'm experiencing no problems with audio - the new kernel seems to work just fine with the Asus P5B Deluxe motherboard. The only way I was able to resolve the bug on Hardy was to recompile with the mentioned patch.

warhammerkid, thanks for the note. I'm setting this bug to Incomplete for now until we hear from josef. Thanks.

Changed in linux:
status: Confirmed → Incomplete
Ansus (neptunia) wrote :

It's resolved for me with Intrepid completely.

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

Jim Lieb (lieb) wrote :

Original reporter noted that this problem was fixed with later kernels making this bug no longer valid. Please reopen if this is still an issue in the current Ubuntu release, Jaunty Jackalope 9.04. To reopen the bug, click on the current status, under the Status column, and change the status back to "New". Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers